aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Permission

# Documentation

data AddPermission Source #

Constructors

AddPermission |

Fields

- apLabel :: Text
- apPermissions :: [(Text, SqsPermission)]
- apQueueName :: QueueName

#### Instances

Instances details

SignQuery AddPermission Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration AddPermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration

Methods

signQuery :: AddPermission -> ServiceConfiguration AddPermission queryType -> SignatureData -> SignedQuery Source #

Show AddPermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> AddPermission -> ShowS Source # show :: AddPermission -> String Source # showList :: [AddPermission] -> ShowS Source #
Transaction AddPermission AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
type ServiceConfiguration AddPermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration

data AddPermissionResponse Source #

Constructors

AddPermissionResponse |

#### Instances

Instances details

AsMemoryResponse AddPermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse

Methods

loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) Source #

Show AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> AddPermissionResponse -> ShowS Source # show :: AddPermissionResponse -> String Source # showList :: [AddPermissionResponse] -> ShowS Source #
ResponseConsumer r AddPermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AddPermissionResponse) -> HTTPResponseConsumer AddPermissionResponse Source #

Transaction AddPermission AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
type MemoryResponse AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse
type ResponseMetadata AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata

formatPermissions :: [(Text, SqsPermission)] -> [QueryItem] Source #

data RemovePermission Source #

Constructors

RemovePermission |

Fields

- rpLabel :: Text
- rpQueueName :: QueueName

#### Instances

Instances details

SignQuery RemovePermission Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration RemovePermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration

Methods

signQuery :: RemovePermission -> ServiceConfiguration RemovePermission queryType -> SignatureData -> SignedQuery Source #

Show RemovePermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> RemovePermission -> ShowS Source # show :: RemovePermission -> String Source # showList :: [RemovePermission] -> ShowS Source #
Transaction RemovePermission RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
type ServiceConfiguration RemovePermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration

data RemovePermissionResponse Source #

Constructors

RemovePermissionResponse |

#### Instances

Instances details

AsMemoryResponse RemovePermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse

Methods

loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) Source #

Show RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission Methods showsPrec :: Int -> RemovePermissionResponse -> ShowS Source # show :: RemovePermissionResponse -> String Source # showList :: [RemovePermissionResponse] -> ShowS Source #
ResponseConsumer r RemovePermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata RemovePermissionResponse) -> HTTPResponseConsumer RemovePermissionResponse Source #

Transaction RemovePermission RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
type MemoryResponse RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse
type ResponseMetadata RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata